package com.om.service;

import com.om.entity.dto.ClientDTO;
import com.om.entity.dto.ClientQueryPageDTO;
import com.om.entity.po.Client;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.ClientQueryPageVO;
import com.om.entity.vo.ClientVO;
import com.om.utils.Result;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-02-15
 */
public interface IClientService extends IService<Client> {

    Result addClient(ClientDTO dto);

    Result deleteClient(Integer id);

    Result<ClientVO> getClient(Integer id);

    Result<List<ClientVO>> getList();

    Result editClient(ClientDTO dto);

    Result<ClientQueryPageVO> queryPageClient(ClientQueryPageDTO dto);
}
